Subject: Re: bug#42038: [feature/native-comp] Auctex package isn't loaded

From: Andrea Corallo <[email-masked]>
Date: Sat, 27 Jun 2020 20:46:08 +0000

Andrea Corallo <[email-masked]> writes:

> Sébastien Miquel <[email-masked]> writes:
>
>> Hi,
>>
>> Using the latest feature/native-comp branch, after installing the
>> auctex package, it doesn't get loaded when opening a .tex file.
>>
>> This page
>> https://www.gnu.org/software/auctex/manual/auctex.html#Loading-the-package
>> explains how to check if auctex is correctly loaded.
>>
>> To get it to work properly, I have to manually load tex-site.el from
>> auctex and call latex-mode.
>>
>> It used to work fine but broke a month or two ago.
>>
>>
>> Thank you for your work on this branch,
>
> Hi Sébastien,
>
> okay I had look:
>
> what is going on is that auctex advice `latex-mode' (before this is
> loaded).  When this later on is autoloaded the advice is not applied.
>
> The reason why this was working before is that tex-site.el is compiled
> only since recent time being dynamic scope.
>
> I'll have a look on why this is happening and come-up with a patch.
>
> Thanks for the feedback
>
>   Andrea

All right 24f68d6bfc works for me, please give it a try.

Thanks!

  Andrea

-- 
[email-masked]